
QGIS Application - Bug report #2684

Actions not working with hidden column

2010-04-28 06:46 AM - pinux -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12744

Description

If a column is hidden it can't be used in an action (%column_name).

History

#1 - 2010-09-19 08:16 AM - Paolo Cavallini

Isn't this the expected behaviour? It could be annoying though.

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-11-14 12:00 PM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

Hello, bug triage...

if a column is hidden (field edit widget), it can be used in action in QGIS 2.13.

I am closing this bug.
